Package com.sap.ai.sdk.prompt.registry

# Class OrchestrationConfigClient

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.prompt.registry.client.OrchestrationConfigsApi
com.sap.ai.sdk.prompt.registry.OrchestrationConfigClient

@Beta public class OrchestrationConfigClient extends OrchestrationConfigsApi
Client for managing Orchestration Configurations in the Prompt Registry service.

Since:
  1.15.0

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrchestrationConfigClient()`
  Instantiates a client to manage Orchestration Configurations on the Prompt Registry service.
  `OrchestrationConfigClient(AiCoreService aiCoreService)`
  Instantiates a client to manage Orchestration Configurations on the Prompt Registry service.

- ## Method Summary

  ### Methods inherited from class com.sap.ai.sdk.prompt.registry.client.OrchestrationConfigsApi

  `createUpdateOrchestrationConfig, createUpdateOrchestrationConfig, deleteOrchestrationConfig, deleteOrchestrationConfig, exportOrchestrationConfig, exportOrchestrationConfig, getOrchestrationConfigByUuid, getOrchestrationConfigByUuid, importOrchestrationConfig, importOrchestrationConfig, listOrchestrationConfigHistory, listOrchestrationConfigHistory, listOrchestrationConfigs, listOrchestrationConfigs, withDefaultHeaders`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrchestrationConfigClient

    public OrchestrationConfigClient()
    Instantiates a client to manage Orchestration Configurations on the Prompt Registry service.

  - ### OrchestrationConfigClient

    public OrchestrationConfigClient(@Nonnull AiCoreService aiCoreService)
    Instantiates a client to manage Orchestration Configurations on the Prompt Registry service.
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core